Config
Set or update MCube credentials
Stores encrypted MCube JWT token and executive number for outbound calling. Creates or updates the partner’s default MCube telephony connection; for multiple named connections use POST /telephony/connections with provider “mcube”.
PUT
/
config
/
telephony
/
mcube
Set or update MCube credentials
curl --request PUT \
--url https://api.vocobase.com/api/v2/config/telephony/mcube \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jwt_token": "<string>",
"exe_number": "+919876543210"
}
'import requests
url = "https://api.vocobase.com/api/v2/config/telephony/mcube"
payload = {
"jwt_token": "<string>",
"exe_number": "+919876543210"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jwt_token: '<string>', exe_number: '+919876543210'})
};
fetch('https://api.vocobase.com/api/v2/config/telephony/mcube', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"exe_number": "+919876543210",
"message": "MCube credentials updated successfully."
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "agent_name is required and must be max 50 characters"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}Authorizations
API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.
Body
application/json
Previous
Set or update Exotel credentialsStores encrypted Exotel credentials for outbound calling. All six fields are required. The `caller_id` must be an E.164 phone number that Exotel has provisioned for your account.
Next
⌘I
Set or update MCube credentials
